Page MenuHomePhabricator

Plural does not work on Special:CXstats for cx-stats-grouping-title
Closed, ResolvedPublic

Description

On Special:CXStats after clicking expand for published languages, I see "1,700 translation". It should be in plural.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 21 2016, 9:10 AM
Nemo_bis added a subscriber: Nemo_bis.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptNov 21 2016, 4:00 PM

Change 323122 had a related patch set uploaded (by Nikerabbit):
Try to fix broken plurals on Special:CXStats

https://gerrit.wikimedia.org/r/323122

Arrbee triaged this task as Low priority.Nov 24 2016, 8:07 AM
KartikMistry moved this task from In Review to QA on the Language-Q2-2016-17 Sprint 4 board.

Change 323122 merged by jenkins-bot:
Try to fix broken plurals on Special:CXStats

https://gerrit.wikimedia.org/r/323122

It turns out the issue was not missing mediawiki.jqueryMsg. The issue seems to be unformatting of numbers with thousand separators, which was not handled in mediawiki.language.

Change 324387 had a related patch set uploaded (by Nikerabbit):
mediawiki.language: fix convertNumber( ..., true )

https://gerrit.wikimedia.org/r/324387

Change 324387 merged by jenkins-bot:
mediawiki.language: fix convertNumber( ..., true )

https://gerrit.wikimedia.org/r/324387

https://en.wikipedia.org/wiki/Special:ContentTranslationStats is still broken, my second patch is not yet deployed.

Arrbee closed this task as Resolved.Dec 7 2016, 6:40 AM

Change 324387 merged by jenkins-bot:
mediawiki.language: fix convertNumber( ..., true )

@Nikerabbit: Looks like this broke Echo on Arabic Wikipedia. See T152800.